## NAME

         curl_slist_append - add a string to an slist

## SYNOPSIS

         #include <curl/curl.h>

         struct   curl_slist   *curl_slist_append(struct   curl_slist
         *list, const char * string);

## DESCRIPTION

         curl_slist_append() appends a specified string to  a  linked
         list  of  strings. The existing list should be passed as the
         first argument while the new  list  is  returned  from  this
         function.  The  specified string has been appended when this
         function returns.

## RETURN VALUE

         A null pointer is returned if anything went wrong, otherwise
         the new list pointer is returned.

## SEE ALSO

         curl_slist_free_all(3),

## BUGS

         Surely there are some, you tell me!